Debian Bug report logs - #699102
python-greenlet: FTBFS on sparc

version graph

Package: python-greenlet; Maintainer for python-greenlet is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for python-greenlet is src:python-greenlet.

Reported by: Javi Merino <vicho@debian.org>

Date: Sun, 27 Jan 2013 16:51:04 UTC

Severity: serious

Found in version python-greenlet/0.3.1-2.2

Fixed in version python-greenlet/0.3.1-2.3

Done: Javi Merino <vicho@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, vicho@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#699102; Package python-greenlet. (Sun, 27 Jan 2013 16:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javi Merino <vicho@debian.org>:
New Bug report received and forwarded. Copy sent to vicho@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Sun, 27 Jan 2013 16:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javi Merino <vicho@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-greenlet: FTBFS on sparc
Date: Sun, 27 Jan 2013 16:50:53 +0000
[Message part 1 (text/plain, inline)]
Package: python-greenlet
Version: 0.3.1-2.2
Severity: serious
Justification: FTBFS

The FTBFS in sparc[0] in wheezy can be fixed by applying the attached
patch

[0] https://buildd.debian.org/status/fetch.php?pkg=python-greenlet&arch=sparc&ver=0.3.1-2.2&stamp=1359234024

Cheers,
Javi
[fix_sparc_support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#699102; Package python-greenlet. (Sun, 27 Jan 2013 17:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Sun, 27 Jan 2013 17:03:14 GMT) Full text and rfc822 format available.

Message #10 received at 699102@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Javi Merino <vicho@debian.org>, 699102@bugs.debian.org
Subject: Re: Bug#699102: python-greenlet: FTBFS on sparc
Date: Sun, 27 Jan 2013 17:02:41 +0000
[Message part 1 (text/plain, inline)]
On Sun, Jan 27, 2013 at 16:50:53 +0000, Javi Merino wrote:

> Package: python-greenlet
> Version: 0.3.1-2.2
> Severity: serious
> Justification: FTBFS
> 
> The FTBFS in sparc[0] in wheezy can be fixed by applying the attached
> patch
> 
> [0] https://buildd.debian.org/status/fetch.php?pkg=python-greenlet&arch=sparc&ver=0.3.1-2.2&stamp=1359234024
> 
It also ftbfs on mipsen, which is more of an issue because while there's
no sparc binary in testing, there are mips{,el} debs for 0.3.1-2.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Javi Merino <vicho@debian.org>:
You have taken responsibility. (Fri, 01 Feb 2013 20:51:09 GMT) Full text and rfc822 format available.

Notification sent to Javi Merino <vicho@debian.org>:
Bug acknowledged by developer. (Fri, 01 Feb 2013 20:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 699102-close@bugs.debian.org (full text, mbox):

From: Javi Merino <vicho@debian.org>
To: 699102-close@bugs.debian.org
Subject: Bug#699102: fixed in python-greenlet 0.3.1-2.3
Date: Fri, 01 Feb 2013 20:47:37 +0000
Source: python-greenlet
Source-Version: 0.3.1-2.3

We believe that the bug you reported is fixed in the latest version of
python-greenlet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javi Merino <vicho@debian.org> (supplier of updated python-greenlet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Jan 2013 19:30:58 +0000
Source: python-greenlet
Binary: python-greenlet-dbg python-greenlet-doc python-greenlet-dev python-greenlet
Architecture: source i386 all
Version: 0.3.1-2.3
Distribution: wheezy-proposed-updates
Urgency: low
Maintainer: Örjan Persson <orange@fobie.net>
Changed-By: Javi Merino <vicho@debian.org>
Description: 
 python-greenlet - Lightweight in-process concurrent programming
 python-greenlet-dbg - Lightweight in-process concurrent programming - debugging symbols
 python-greenlet-dev - Lightweight in-process concurrent programming - development files
 python-greenlet-doc - Lightweight in-process concurrent programming - documentation
Closes: 665890 699102
Changes: 
 python-greenlet (0.3.1-2.3) wheezy-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS in mipsel by compiling with -O2 which optimizes out the
     buggy code (Closes: #665890)
   * Fix "FTBFS on sparc" by adding fix_sparc_support.patch from upstream
     (Closes: #699102)
Checksums-Sha1: 
 3bea253730259689d301b7db907e6d96e9c7e844 1554 python-greenlet_0.3.1-2.3.dsc
 bf716180ce0a925bbdae3da4adcc6529c2d6d26b 4985 python-greenlet_0.3.1-2.3.debian.tar.gz
 14eda295cc960f507d5821e11ad217d86d7e4285 79820 python-greenlet-dbg_0.3.1-2.3_i386.deb
 d9c7f639315cadacf47b2a88a5f317c3e17094e5 10354 python-greenlet-doc_0.3.1-2.3_all.deb
 06cc17f2b5509e6293f51f4c88c8d7b72786981b 2354 python-greenlet-dev_0.3.1-2.3_i386.deb
 8de9700127d905cf82e27451eab6d1d91d03395b 15550 python-greenlet_0.3.1-2.3_i386.deb
Checksums-Sha256: 
 8569060f9b1e1049af3e0af4dd8a0c9725373529ece819ae9fc85cb8fa6e919d 1554 python-greenlet_0.3.1-2.3.dsc
 ec358cacdffdc7e63c836a256dcb4c15ac02cf5fb6ead3a437bf18d030e71ca9 4985 python-greenlet_0.3.1-2.3.debian.tar.gz
 dd4cdf0655d6c856324df67a5a54d84195872f8604e9c93fceb55eadb4f9ab9c 79820 python-greenlet-dbg_0.3.1-2.3_i386.deb
 8b5dd2b3fc3f66ed160f862dcb184763df31dabd1b8df15e4c975438269bc8db 10354 python-greenlet-doc_0.3.1-2.3_all.deb
 80847a4f05556f96cee607c6df2aa7133646d3a14ba4d95a00c133aa5ef5e158 2354 python-greenlet-dev_0.3.1-2.3_i386.deb
 27195b2f244f53b46c8eaabe576047d34d3ea6bf041e66e737cc65b3f88786dc 15550 python-greenlet_0.3.1-2.3_i386.deb
Files: 
 0246e0bc296e46f82e35a3a197974af8 1554 python extra python-greenlet_0.3.1-2.3.dsc
 92ad2843eba9ee063b34eba636a200e0 4985 python extra python-greenlet_0.3.1-2.3.debian.tar.gz
 b19d449242be4f861d6de3cbeef95df6 79820 debug extra python-greenlet-dbg_0.3.1-2.3_i386.deb
 c03dc7396ae0e1cc7c8dff9eaf6c7dd0 10354 doc extra python-greenlet-doc_0.3.1-2.3_all.deb
 54c6b5668efe1d60cc8042490888a686 2354 python extra python-greenlet-dev_0.3.1-2.3_i386.deb
 291e546e14ea9e6a8348837d380d4823 15550 python extra python-greenlet_0.3.1-2.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEFgYYACgkQLc4/KDbU5PUAgQCeM1KAGXYsobH9yIvYh3kMQZjJ
x0gAnjE7zK4nvUMpAmFGo7KaeS6eRXLA
=4wDD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:25:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:38:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.